flex (2.5.39-8) unstable; urgency=low

  * Added a missing build depends on vm-super-minimal, reuired fro
    building the pdf documentation,  (Closes: #752151).
  * Move flex.pdf to the flex-doc package. This makes it possible for the
    flex package's contents to not change if texinfo is not installed,
    e.g. in the stage1 build profile.  Thanks to Peter Pentchev
    <roam@ringlet.net>
  * Move the flex-doc build dependencies to B-D-I. Move the TeX Live
    dependencies to Build-Depends-Indep and only build the HTML and PDF
    documentation if actually requested. This breaks a circular build
    dependency by not requiring texlive for the build of the
    arch-dependent flex binary packages.  (Closes: #749344).
  * Bug fix #752151: "pdfetex error about missing cm-super", thanks to
    Helmut Grohne and Cyril Brulebois
  * Bug fix: #749344" Allow bootstrapping without texlive and
    dh-autoreconf", thanks to Peter Pentchev

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 20 Jun 2014 20:58:31 -0700

flex (2.5.39-7) unstable; urgency=low

  * dh-autoreconf already depends on all the autotools that it will
    attempt to use to rebuild the package's build framework, so remove the
    direct (and redundant) dependencies on the autotools
    packages. Suggestion by Peter Pentchev  (Closes: #749341).
  * The patch also cleaned up the creation of examples and links for man
    pages.
  * Bug fix #749341: "Drop the autotools build dependencies, dh-autoreconf
    is sufficient", thanks to Peter Pentchev

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 26 May 2014 18:12:36 -0700

flex (2.5.39-6) unstable; urgency=low

  * The code that is generated by flex has an off-by-one error in the
    generated #line pragmas that occur after the second %% line in the
    source file. Marcus Rausch  supplied the patch that fixes it.
    (Closes: #542482).
  * Bug fix #542482: "Off-by-one error in line statements", thanks to
    Wouter Verhelst

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 06 May 2014 23:57:31 -0700

flex (2.5.39-5) unstable; urgency=low

  * Adapted patch from Matthias Klose to add  pre-seeding of autoconf
    values as paramaters, fixing cross builds. flex uses runtime checks
    for configure tests, and preseeding allows cross build to succeed,
  * Bug fix: "fix cross build", thanks to Matthias Klose. Applied fix
    manually  (Closes: #746172).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 27 Apr 2014 15:55:36 -0700

flex (2.5.39-4) unstable; urgency=low

  * Bug fix: "Flex 2.5.39-3 has a typo in installman", thanks to
    Gianfranco Costamagna. over -> over (Closes: #745228).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 25 Apr 2014 23:37:29 -0700

flex (2.5.39-3) unstable; urgency=medium

  * Move libl.a from flex to libfl-dev, for real
  * install link manually for libfl-dev alone, cleaning up the rules file
    in the process.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 17 Apr 2014 12:45:38 -0700

flex (2.5.39-2) unstable; urgency=low

  * New bug fixing release
  * Bug fix: "typo in README.Debian: libfla_pic.a -&gt; libfl_pic.a",
    thanks to Jakub Wilk (Closes: #744853).
  * Bug fix: "libfl-dev and flex-old: error when trying to install
    together", thanks to Ralf Treinen. The package libfl-dev needs to
    replace and Break the flex-old package too,  (Closes: #744833).
  * Bug fix: "redundant redeclaration of ‘isatty’", thanks to Ludovic
    Rousseau. This duplication was removed in the last upstream release.
    (Closes: #488274).
  * Bug fix: "flex-2.5.35 bug", thanks to Yuriy Z. scan.c now declares n
    as size_t, in the new upstream version.  (Closes: #633008).
  * Bug fix: "make check failure", thanks to Sayre, Alan N. The new
    version of flex does succeed in running make check (it would not build
    otherwise) (Closes: #632095).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 17 Apr 2014 02:15:10 -0700


flex (2.5.39-1) unstable; urgency=medium

  * New upstream release
  * internationalization: added support for various languages. Fix make
    install target to not fail when the flex++ program is already
    installed. various portability fixes that quiet compiler warnings on
    64-bit hosts. numerous bug fixes.
  * Moved to a new dh based build system. Also moved to a 3.0 source
    format, using debcherry.
  * Bug fix: "cross build support", thanks to Eleanor Chen. We have moved
    to a standard dh based build, so we should not have this issue any more.
    (Closes:    #719955).
  * Bug fix: "examples not included into binary packages", thanks to Carl
    Fürstenberg. Examples are in this version.  (Closes: #560387).
  * Bug fix: "new upstream release 2.5.37", thanks to Peter Eisentraut
    (Closes: #729759).
  * Bug fix: "flex, new release available for download", thanks to
    Gianfranco Costamagna (Closes: #736345).
  * Bug fix: "please mark flex as Multi-Arch: allowed", thanks to Steve
    Langasek. Redid the patch to work with dh.     (Closes: #611230).
  * Updating to a new build system means that the changes made to the
    build system in the NMU are not needed, dh does the right thing.
  * The new upstream release added the prototypes in re-entrant mode, so
    we are no longer carrying those patches.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 10 Apr 2014 18:06:12 -0700

flex (2.5.35-10.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use dpkg-buildflags to enable hardened build flags.
    Thanks to Moritz Muehlenhoff <jmm@debian.org>. (Closes: #655414)
  * Add prototypes for yy_[gs]etcolumn in re-entrant mode, taken from Fedora.
    Thanks to Daniel Stone <daniel@fooishbar.org>. (Closes: #667027)

 -- Guillem Jover <guillem@debian.org>  Sat, 30 Jun 2012 17:03:27 +0200

flex (2.5.35-10) unstable; urgency=low

  * Bug fix: "flex is not GNU flex", thanks to Santiago Vila
                                                        (Closes: #576413).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 19 Jul 2010 14:03:19 -0700

flex (2.5.35-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: add autopoint to build-deps, drop cvs (Closes: #572468).

 -- Kees Cook <kees@debian.org>  Sun, 20 Jun 2010 14:17:14 -0700

flex (2.5.35-9) unstable; urgency=low

  * Update handling of lintian overrides.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 30 Oct 2009 14:52:46 -0500

flex (2.5.35-8) unstable; urgency=low

  * Update package to conform to policy.
  * [56a9f0b]: [flex]: Info files are now installed using a trigger
    Add dependencies to that is happens automatically.

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 16 Aug 2009 15:51:33 -0500

flex (2.5.35-7) unstable; urgency=low

  * [e12dee9]: [topic--autoconf-files] Delete files create by autoconf
  * [d32c587]: [debiandir]: Regenerate autoconf files during
    configuration Upstream has versions of autoconf files that are stuck
    at the time of release. As newer versions of autoconf come out, and
    these nerw versions support more architectures, porting to them
    becomes harder if the package uses the now obsolete versionsof the
    files. Flex packaging now begins to reate autoconf and automake as
    real toolchain components, and re-creates the autoconf files at
    build time, and removes them while cleaning up. This should help out
    peopole on newly supported platforms.
  * [0999f25]: [gcc-4-4-include-fix] Add missing #include cstdio for gcc-4.4
    GCC 4.4 has cleaned up some more C++ headers. You always have to
    include headers directly, and cannot depend on things to be included
    indirectly.  Bug fix: "produces c++ code with missing include cstdio",
    thanks to Martin Michlmayr                            (Closes: #525812).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 28 Apr 2009 11:30:31 -0500

flex (2.5.35-6) unstable; urgency=high

  * [f0d7848]: Finish fixing the ia64 buffer issue. Previous commits
    increased YY_READ_BUF_SIZE (where __ia64__ is defined) but left
    YY_BUF_SIZE unchanged, so that didn't fix the problem in the end. In
    the general case, the latter is twice the former. Therefore set it to
    the same ratio in the ia64 case. Thanks to Cyril Brulebois
    <kibi@debian.org> for the heavy lifting.
    Bug fix: "flex scanner push-back overflow", thanks to Sergei Golovan.
                                                         (Closes: #505056)

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 05 Jan 2009 12:10:01 -0600

flex (2.5.35-5) unstable; urgency=low

  * [debiandir:7eff632]: Fix race conditions in local.mk
    [62a6595]: Correct a few dependencies in Makefiles
    These fixes allow flex to be built using make -j3
    Bug fix: "FTBFS with parallel in DEB_BUILD_OPTIONS", thanks to Daniel
    Schepler. The heavy lifting was done by Robert Millan (Closes: #507231).

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 29 Nov 2008 20:46:28 -0600

flex (2.5.35-4) unstable; urgency=low

  * [f6cc9ae] Narrow buffer size changes to just IA64
    Increasing the buffer size on other architectures cause problems in
    corner cases not caught by the test suite. So perhaps it is not better
    to increase the buffer size unilatereally for all architectures, but
    to just increase it for the architecture it is required on, namely,
    IA64, and leave it unchanged on other architectures. This solution
    should fix the new grave bugs, while not reopening the original but
    that cause this change to be done in the first place.
    Grave Bug fix: flex scanner push-back overflow, thanks to Sergei
    Golovan                                       (Closes: #505056, #504030)
  * [debiandir:9a6d713] Fix VCS-Browser source field.
    Bug fix: Useless VCS-Browser control field, thanks to Vincent Fourmond
                                                  (Closes: #503732)
  * [d58780f] Wrap ECHO macro to avoid FORTIFY warnings
    This change will enable flex scanners to be compiled with
    -D_FORTIFY_SOURCE=2, which is a good thing security wise.
    Bug Fix: flex causing warnings when compiled with FORTIFY_SOURCE,
    thanks to Kees Cook.                           (Closes: #505233, #388438)


 -- Manoj Srivastava <srivasta@debian.org>  Wed, 19 Nov 2008 23:52:09 -0600

flex (2.5.35-3) unstable; urgency=low

  * Bug fix: "debian dir contains *.so", thanks to Raphael Hertzog
    This is a simple rname of a file used purely in packaging, and has low
    risk, but would allow compiling the flex source package with squeeze's
    packaging tools.                                     (Closes: #485095).
  * [88bb2fc] Fix generation of broken output on ia64 when input is piped in

    On ia64, flex appears to generate a completely different (and broken)
    output depending on whether the input file is specified using shell
    redirection or via a pipe.

    This was traced back commit 3971e1a917548977cff71418a7c3575ffbc9571f,
    by Alex Nixon <alex.nixon@citrix.com>: VFS: increase pseudo-filesystem
    block size to PAGE_SIZE. PAGE_SIZE on ia64 kernels is larger than most
    architectures - 16K is what most distributions (including Debian)
    use. An effect of the above changeset, as verified by strace, is that
    the read() and write() system calls issued by flex on a pipe will use
    this bigger size. fread() appears to be properly hiding the actual
    read size and is returning 8192 byte buffers to flex upon request. I
    verified by this by instrumenting YY_INPUT to compare the fread data
    with the original input file.

    Its probably useful to note that the corruption happening here is that
    the last 382 lines of the input file is being prefixed to the output
    file. The only differences in the remainder of the file are the #line
    numbers. I've also found that bumping YY_READ_BUF_SIZE up to 16384
    seems to workaround the problem - but that may just be putting it back
    into hiding.

    The tradeoff here is between correct operation, by making flex's
    buffer at least as big as the system buffer -- and not bigger, so that
    we do not waste memory. At this point, fixing the isue seems more
    important than worrying that flex consumes and additional 8KB of
    memory.

   This fix unblocks RC bugs on other packages.

    Bug fix: "Generates broken output on ia64 when input is piped vs. shell
    redirection", thanks to Chris Lamb. Fix based on comments by Dann
    Frazier and Michael Casadevall.                         (Closes: #501960)
  * [56ec97d] Fix doxygen comments to reflect actual argument name
    Fix the comments to reflect the actual name of the function
    arguments. This is a pure documentation fix.
    Bug fix: "argument &#39;bytes&#39; of command @param is not found in
    the argument list of tp_scan_bytes(yyconst char *yybytes, int
    _yybytes_len)", thanks to Ludovic Rousseau              (Closes: #488272).
  * [303084a] Merge branch 'topic--buffer-size-patch' [f6cc9ae] Narrow
    buffer size changes to just IA64

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 19 Nov 2008 22:42:17 -0600

flex (2.5.35-2) unstable; urgency=low

  * Record the fact that this package has moved to a new git repository.
  * Move to the new, make -j friendly targets in debian/rules.
  * Bug fix: "/usr/share/doc/flex-doc/.dhelp spoils purge", thanks to Dan
    Jacobson                                             (Closes: #427524).
  * Bug fix: "flex-doc: bad webpage reference", thanks to Elizabeth Barham
    I could not find any references to lex.sf.net        (Closes: #439172).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 02 Jun 2008 11:54:55 -0500

flex (2.5.35-1) unstable; urgency=low

  * New upstream release, Mostly fixes made in NMU in Debian, plus a few
    translation updates.
    * NEWS: add date of release
    * NEWS, parse.y: fix bug that prevented comments from working
      properly
    * po/de.po: new de translation
    * NEWS, po/vi.po: new vi translation
    * NEWS, po/nl.po: new nl translation
    * NEWS, po/pl.po: new pl translation
    * NEWS, po/de.po, po/pt_BR.po: new de, pt_br translations
    * NEWS, flex.skl: generate headers for all functions (resolves bug
      #1628314)
    * NEWS, flex.skl: change yy_size_t to be size_t (resolves bug
      #1849812)
    * configure.in: start work on version 2.5.35
    * NEWS, configure.in: revert NEWS and configure.in to version
    * NEWS, configure.in: update version number to 2.5.35
    * tests/test-alloc-extra/scanner.l: Use %option extra-type.
    * NEWS, flex.skl, flexdef.h, main.c, parse.y, scan.l,
      doc/flex.texi: Introduce %option extra-type="your_type *" (resolves
      bug #1744505).
    * po/nl.po: new nl translations from the translation project
  * Bug fix: "flex: new lint in YY_INPUT definition", thanks to Larry
    Doolittle.                                              Closes: #466793
  * Bug fix: "flex: limits of integral types are always defined", thanks
    to Jean-Baptiste Note. It is true that the limits are defined by the
    standard, and present in stdint.h, and so flex should not define them
    on C99 systems,                                         Closes: #443559

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 18 Mar 2008 21:05:33 -0500

flex (2.5.34-3) unstable; urgency=low

  * NMU ack. No changes since the last upload. Fix: "2.5.34-2.1 NMU diff",
    thanks to Sergei Golovan.                           Closes: Bug#465071

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 18 Feb 2008 15:29:27 -0600

flex (2.5.34-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed a bug in parser with incorrectly added character to a ccl
    (closes: #464659).

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 10 Feb 2008 13:47:32 +0300

flex (2.5.34-2) unstable; urgency=low

  * Flex set yy_size_t to unsigned int; and used it where size_t was
    needed, which, or course, failed on amd64 architectures.  Since ANSI C
    has declared size_t to be available in standard  C headers since 1989,
    which is 19 _years_ ago, I suspect we can start depending on size_t to
    be around and set correctly -- especially on Debian.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 07 Feb 2008 15:26:54 -0600

flex (2.5.34-1) unstable; urgency=low

  * New upstream release. This version has incorporated every single
    feature and bug fix carried around by Debian, and thus all feature
    branches are now sealed and merged back.    Closes: #462196
  * Since the version from which flex asks the question about upgrades was
    released in 2003, it is time to retire the debconf question. So, the
    debconf question is now gone, which means that all the translations of
    the debconf translations are not required. Closes: Bug#448106, Bug#445744
    Also closes: #448579, #448580, #448660, #449183, #449266, #449446, #450958
    Closes: #451184, #453412

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 07 Feb 2008 01:12:19 -0600

flex (2.5.33-12) unstable; urgency=low

  * Bug fix: "flex: FTBFS if built twice in a row", thanks to Bernd
    Zeimetz                                              (Closes: #424274).

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 16 May 2007 15:09:59 -0500

flex (2.5.33-11) unstable; urgency=low

  * Bug fix: "flex: [INTL:es] Spanish po-debconf translation", thanks to
    César Gómez Martín                                  (Closes: #402235).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 18 Jan 2007 20:31:42 -0600

flex (2.5.33-10) unstable; urgency=low

  * Remove trailing ; from libfl.so script.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 23 Oct 2006 23:50:43 -0500

flex (2.5.33-9) unstable; urgency=low

  * Install a version of libfl.so that is recognixed as a ld script but ld.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 12 Sep 2006 03:35:33 -0500

flex (2.5.33-8) unstable; urgency=low

  * Also install libfl.so

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 11 Sep 2006 13:30:07 -0500

flex (2.5.33-7) unstable; urgency=low

  * Typo fix in changelog. We started providing  libfl_pic.a in the
    previous upload, not sev3eral years ago, and the name of the static
    library compiled with position independent code is libfl_pic.a.

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  7 Sep 2006 20:10:40 -0500

flex (2.5.33-6) unstable; urgency=low

  * Starting with version 2.5.33-6 of flex we have started providing
    a static library compiled with position independent code, namely,
    libfl_pic.a.  The problem is with packages that contain share
    libraries with a flex scanner compiled in. Since flex generates code
    that is not self contained, and the missing symbols live in
    libfl.a. However, since linking a shared library with a object
    containing non position independent code stopped working with gcc 4.1
    (apparently, it was sheer luck that it worked at all). So now we also
    provide libfl_pic.a for shared library packages to link with.

    An alternative would have been to provide a full fledged
    shared library, but that would have been a major break with upstream
    and other distributions that also have flex, and would entail
    creating new library and devel packages for flex, which is more work
    that seems justified (considering that we would have to maintain the
    fork, and keep track of any ABI changes, and all that).

  * Bug fix: "flex: [INTL:ru] Russian debconf templates translation",
    thanks to Yuri Kozlov                                 (Closes: #382402).
  * Started adding md5sums of the package, since dpkg is not ever likely
    to directly support this.

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  5 Sep 2006 22:50:29 -0500

flex (2.5.33-5) unstable; urgency=low

  * Bug fix: "[INTL:lt] Lithuanian debconf translation", thanks to
    Gintautas Miliauskas                                      (Closes: #381235).
  * Bug fix: "flex: warning in generated code", thanks to Martin
    Michlmayr. Apply the patch from Bug#359127 to skel.c      (Closes: #379763).

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  6 Aug 2006 00:28:41 -0500

flex (2.5.33-4) unstable; urgency=low

  * Bug fix: "Spelling mistake in package description", thanks to Simon
    Waters. reenterant -> reentrant                         (Closes: #363415).
  * Bug fix: "flex [INTL:pt] Portuguese translation for debconf messages",
    thanks to Miguel Figueiredo                               (Closes: #362984).

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  3 May 2006 13:11:58 -0500

flex (2.5.33-3) unstable; urgency=low

  * Bug fix: "cannot purge", thanks to Sebastian Rittau. Fix the package
    name var in doc.postrm                               (Closes: #357525).
  * Bug fix: "flex: project web page location doesn't work", thanks to
    Martin Dorey. The sourceforge project name was changed from lex to
    flex recently.                                       (Closes: #357515).
  * Updated copyright file as well, and updated the years for the
    copyright.
  * Please note that the CVE-2006-0459 bug with buffer overflows in
    parsers generated with REJECT rules and/or trailing contexts does not
    apply to flex 2.5.33
  * Bug fix: "incorrect catalan translation", thanks to Carles Pina i
    Estany                                               (Closes: #359876).
  * Bug fix: "flex: comparison between signed and unsigned in generated
    scanner", thanks to Russ Allbery                     (Closes: #359127).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 11 Apr 2006 10:12:51 -0500

flex (2.5.33-2) unstable; urgency=low

  * Bug fix: "flex - FTBFS: /build/buildd/flex-2.5.33/missing: line 46:
    flex: command not found", thanks to Bastian Blank. Hmm. Updatimg
    md5sum, thanks to some analysis by Kurt Roeckx    (Closes: #354552).

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  5 Mar 2006 11:38:34 -0600

flex (2.5.33-1) unstable; urgency=low

  * New upstream release.
   ** all flex resources are now to be found from the website at
     http://flex.sourceforge.net/
   ** there was no release 2.5.32 published
   ** numerous bug and security fixes
   ** new nl, vi, sv, ro, po, ga, ca, fr, tr translations from the
      translation project
   ** upgrade to use gettext 0.12 (this now makes the "pdf" and "ps"
      targets in the build system able to be run successfully)

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 26 Feb 2006 20:53:27 -0600

flex (2.5.31-38) unstable; urgency=low

  * Bug fix: "flex_2.5.31-36(powerpc/unstable): FTBFS: ", thanks to Ryan
    Murray. Since we already use MAINTAINER_MODE, there was no help there.
    As a last resort, always touch scan.c if we do not find flex.
                                                           (Closes: #343355).
  * Bug fix: "flex: [INTL:da] Danish debconf translation", thanks to Claus
    Hindsgaul                                               (Closes: #353900).
  * Bug fix: "flex: Space leak in C++ scanner", thanks to Vincent Zweije
    This may be a partial fix, but it seems to be good enough.
                                                             (Closes: #233215).

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 25 Feb 2006 00:53:07 -0600

flex (2.5.31-37) unstable; urgency=low

  * the source code has an '#ifdef HAVE_LOCALE_H' but forgets to actually
    check for locale.h in configure. The report and patch thanks to Mike
    Frysinger.

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  7 Feb 2006 21:23:54 -0600

flex (2.5.31-36) unstable; urgency=low

  * Bug fix: "flex: doxygen warning: argument `str' of command @param is
    not found in the argumentlist", thanks to Ludovic Rousseau
                                                           (Closes: #320134).
  * Bug fix: "flex generates a C file with improper macro defn; broke
    Bison 2.1", thanks to Paul Eggert. Well, even though it is legal C99
    to have empty arguments in macros (so it is legal to call a macro
    taking one argument with no arguments), it was not legal C89 --
    therefore, emit tqo different macros, with and without arguments -- to
    cater to users running obsolete compilers.             (Closes: #333231).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 23 Oct 2005 14:59:05 -0500

flex (2.5.31-35) unstable; urgency=low

  * Bug fix: "yy_init_globals in header file", thanks to Oskar Liljeblad
                                                           (Closes: #322628).
  * Bug fix: "flex: [INTL:sv] Swedish debconf templates translation",
    thanks to Daniel Nylander                              (Closes: #333321).
  * Bug fix: "Please provide flex++ symlink", thanks to Will Newton
                                                            (Closes: #318347).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 20 Oct 2005 23:50:37 -0500

flex (2.5.31-34) unstable; urgency=low

  * Bug fix: "FTBFS: Cannot install HTML documentation", thanks to Matt
    Kraai                                                 (Closes: #317856).
  * Bug fix: "flex: doxygen warning: argument `str' of command @param is
    not found in the argumentlist", thanks to Ludovic Rousseau
                                                          (Closes: #320134).
  * Bug fix: "[INTL:nl] Upstream Dutch programs translation", thanks to
    Luk Claes                                             (Closes: #321080).

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  8 Aug 2005 00:17:33 -0500

flex (2.5.31-33) unstable; urgency=low

  * Bug fix: "flex does not report errors to write", thanks to Bernhard
    R. Link. Thanks for the patch (checks flcose and ferror return values)
                                                          (Closes: #317117).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 10 Jul 2005 02:06:29 -0500

flex (2.5.31-32) unstable; urgency=low

  * Bug fix: "INTL:vi", thanks to Clytie Siddall          (Closes: #311651).
  * Bug fix: "[l10n] Initial Czech translation of flex debconf messages",
    thanks to Miroslav Kure                               (Closes: #308062).
  * Bug fix: "flex: Some members that should be const aren't", thanks to
    Frank B. Brokken  Some members as defined in FlexLexer.h are
    accessors, and should be defined as `const' members, since not doing
    so causes problems when calling these member functions on a const
    object.                                               (Closes: #287256).

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  7 Jul 2005 17:22:23 -0500

flex (2.5.31-31) unstable; urgency=low

  * New program translation.
  * Bug fix: "[INTL:nl] new dutch program translations", thanks to Luk
    Claes (Closes: #283979).

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  2 Dec 2004 13:17:03 -0600

flex (2.5.31-30) unstable; urgency=medium

  * This is a couple of lines fixed, and does not actually touch any code
    -- just build instructions -- and allows for cross building
  * Bug fix: "flex: [PATCH] cross build", thanks to NIIBE Yutaka
                                                     (Closes: #283075).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 26 Nov 2004 21:22:59 -0600

flex (2.5.31-29) unstable; urgency=low

  * At popular request, error out if scan.l has been updated rather than
    depend on ourselves.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 17 Nov 2004 17:42:16 -0600

flex (2.5.31-28) unstable; urgency=high

  * This is a FTBS bug, after all. This should probably flow through to
    testing.
  * Bug fix: "flex: FTBFS: scan.l needs rebuild?", thanks to Kurt Roeckx
    Added a build depends on flex.                       (Closes: #256532).
  * Bug fix: "XSI:ism `-o' in debian-scripts", thanks to David Weinehall
                                                         (Closes: #261478).
  * Bug fix: "flex: documentation typo (`}' instead of `{')", thanks to
    Dmitry Rutsky                                        (Closes: #267496).
  * Bug fix: "[INTL:nl] New Dutch po-debconf translation", thanks to Luk
    Claes                                                (Closes: #263726).

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 12 Nov 2004 21:28:58 -0600

flex (2.5.31-27) unstable; urgency=low

  * Refreshed the auto-tools generated files
  * Bug fix: "flex: scan.l needs rebuild?", thanks to Kurt Roeckx
                                            (Closes: #256532).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 22 Jul 2004 10:20:38 -0500

flex (2.5.31-26) unstable; urgency=low

  * Removed the old dwww/menu entry. Now we use the preferred doc-base
    registration method.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 23 Jun 2004 00:44:20 -0500

flex (2.5.31-25) unstable; urgency=low

  * Bug fix: "flex: Please add German translation of the debconf
    templates", thanks to Erik Schanze                     (Closes: #252726).
  * Bug fix: "flex: Suspicious texinfo markup tags in info manual", thanks
    to Tommi Vainikainen                                   (Closes: #254832).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 22 Jun 2004 19:37:32 -0500

flex (2.5.31-24) unstable; urgency=low

  * Bug fix: "flex: [INTL:fr] French translation of debconf templates",
    thanks to Denis Barbier                                  (Closes: #242636).

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 10 Apr 2004 10:58:36 -0500

flex (2.5.31-23) unstable; urgency=low

  * Bug fix: This time, really really "flex: Typo in long description:
    'setrs' instead of 'sets'", thanks to Philip Miller (Closes: #226335).

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  2 Apr 2004 10:42:09 -0600

flex (2.5.31-22) unstable; urgency=low

  * Moved over to po-debconf
  * Bug fix: "flex: Typo in long description: 'setrs' instead of 'sets'",
    thanks to Philip Miller                               (Closes: #226335).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 22 Feb 2004 00:13:35 -0600

flex (2.5.31-21) unstable; urgency=low

  * FTBFS: missing build-depends. Bah. The buildd's do not respect
    Build-Depends-Indep. Duplicated the dependency into Build-Depends as a
    workaround for this buildd flaw.                     (Closes: #224117).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 23 Dec 2003 14:52:43 -0600

flex (2.5.31-20) unstable; urgency=low

  * Bug fix: "flex.1.gz has disappeared, leaving dangling symlinks",
    thanks to Aaron M. Ucko.  This was a casualty of moving to the new
    build system; the man page was being installed in
    /usr/share/man/man1/man1/flex.1.gz                   (Closes: #223071).

 -- Manoj Srivastava <srivasta@debian.org>  Sat,  6 Dec 2003 11:28:18 -0600

flex (2.5.31-19) unstable; urgency=low

  * Thanks to a patch pointed out to me by Patrick Dreker, found on
    http://sourceforge.net/tracker/index.php?func=detail&aid=829996&group_id=72099&atid=533379
    Bug fix: "flex: truncated output breaks wine build", thanks to Greg
    Wooledge                                          (Closes: #188872).
  * Moved to the branch new build system, made possible by moving to arch
    as a SCM.

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  5 Dec 2003 00:16:54 -0600

flex (2.5.31-18) unstable; urgency=low

  * Bug fix: "flex: package issues invalid command to dpkg", thanks to
    Jonathan Brandmeyer. The problem was in the config file; since it
    assumed that $2 was always going to be installed version. Obviously,
    on a fresh install, there is no installed version; and hence nothing
    to send to dpkg --compare-versions. In this case, we refrain from
    asking the question if "$2" is an empty string.  (Closes: #219185).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 11 Nov 2003 01:31:06 -0600

flex (2.5.31-17) unstable; urgency=low

  * Thanks to a patch from Joey Hess, we now use debconf to ask the
    preinst question.                                closes: Bug#216457

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 31 Oct 2003 21:53:16 -0600

flex (2.5.31-16) unstable; urgency=low

  * Flex used to reset LC_MESSAGES, but not LC_TYPE, which resulted in
    output without any non ascii characters. Now reset LC_TYPE as well.
                                                     closes: Bug#212571
  * make sure that we strip as much as lintian wants, unless nostrip is
    set.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 24 Sep 2003 09:53:23 -0500

flex (2.5.31-15) unstable; urgency=low

  * AAAArrgh. Set AM_MAINTAINER_MODE in configure.in and regenerated all
    auto* files. hopefully things shall no longer break with every minor
    version change in autoconf.                       closes: Bug# 212355

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 23 Sep 2003 11:21:06 -0500

flex (2.5.31-14) unstable; urgency=low

  * ISO C 1999 says that `inttypes.h' includes `stdint.h', so there's no
    need to include `stdint.h' separately in a hosted environment.  And,
    in any case, whenever we used to include stdint.h, we also included
    inttypes.h.                                         closes: Bug#209197

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  8 Sep 2003 17:59:17 -0500

flex (2.5.31-13) unstable; urgency=low

  * Fixed usage of chown root.root in the rules files.
  * Refreshed config.sub, config.guess.
  * removed acinclude.m4, since it was ancient and rpevented autoconf from
    running.

 -- Manoj Srivastava <srivasta@debian.org>  Mon,  1 Sep 2003 14:33:12 -0500

flex (2.5.31-12) unstable; urgency=low

  * changed the implementation of the yy_scan_string function to use
    yy_str, as stated in the declaration, so as to allow users access to
    the string "str" in #defines. I am not completely happy with this fix,
    since there are other variables that may also pollute the #define name
    space, but going through and modifying them all would be a significant
    departure from upstream code; and I'm going to wait until someone
    complains.                                            closes: Bug#198200
  * Added a reference to flex-old in the package description, mentioning
    the changes in this version of flex.
  * Added a warning and a question in the preinst if upgrading from an old
    version of flex.

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  6 Jul 2003 03:41:58 -0500

flex (2.5.31-11) unstable; urgency=low

  * Added a build depends on help2man

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 29 May 2003 23:31:57 -0500

flex (2.5.31-10) unstable; urgency=low

  * Fixed an extraneous #endif in main.c, which caused gcc to barf.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 29 May 2003 01:01:10 -0500

flex (2.5.31-9) unstable; urgency=low

  * Well, since removing stdint.h inclusion does not fix IA64 breakage,
    and including the header since we need it does seem to be the right
    thing to do, and it does                                 closes: Bug#191168
  * In filter.c, after a fork, we try to reinit the standard stream
    pointers stdin, stdout, and stderr -- which is a bug, since the macros
    stdin, stdout, and sterr may not be modifiable lvalues (C99 says they
    nmeed not be modifuable). This is also pointless, since POSIX
    guarantees that the child inherits the streams from the parent. There
    are no test failures from thie fix.                      closes: Bug#194844
  * Fixed the generation of non ansi function definiton macros to include
    a \, so that the parameters do not default to int (they are actually
    pointers to structs), which makes the test fail on machines where ints
    and pointers are a different size.                       closes: Bug#191672

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 27 May 2003 13:44:37 -0500

flex (2.5.31-8) unstable; urgency=low

  * Added a patch from Bastian Kleineidam fixinf nounbistd option.
                                                             closes: Bug#193317

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 16 May 2003 15:43:46 -0500

flex (2.5.31-7) unstable; urgency=low

  * remove /* in a comment, since it creates warnings under -Wall, Hit a
    lot of people.                   closes: Bug#192450, Bug#192763, Bug#192244

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 13 May 2003 00:55:40 -0500

flex (2.5.31-6) unstable; urgency=low

  * revert adding stdint.h to the 'standard C headers'since using stdint.h
     macros on IA64, rather than our own, breaks things.     closes: Bug#191672

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  2 May 2003 15:15:32 -0500

flex (2.5.31-5) unstable; urgency=low

  * Updated the new download location in the copyright file. closes: Bug#191157
  * add stdint.h to the 'standard C headers' to prevent warnings for
    redefinitions ofUINTN_MAX macros. (Makes sense, since the standard
    defines that these macros are defined in stdint.h        closes: Bug#191168

 -- Manoj Srivastava <srivasta@debian.org>  Fri,  2 May 2003 11:06:06 -0500

flex (2.5.31-4) unstable; urgency=low

  * Fix flex info files;                         closes: Bug#190903, Bug#189963

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 27 Apr 2003 19:01:29 -0500

flex (2.5.31-3) unstable; urgency=low

  * Fix the broken flex -l scanner generation.               closes: Bug#188665

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 14 Apr 2003 03:27:05 -0500

flex (2.5.31-2) unstable; urgency=low

  * Ensure that the man page gets to the right location.
                                                 closes: Bug#188751, Bug#188505
  * Note that flex now requires m4
  * The behaviour of flex has changed in the latest release, yes.  This is
    part of the gcc migration process; flex has been updated (the buggy,
    rickety set of patches required to make it work with gcc was dumped in
    favour of a well engineered upstream migration)
  * As you may see, flex scanners have become reentrant, the c++ versions
    are compatible with recent c++ compilers (conform to ANSI C++, gcc
    3.2), supports bison variables yylval and yylloc. Some variables have
    been renamed. Flex generates C99 defs now; see
    YY_TRADITIONAL_FUNC_DEFS yylineno is present in all scanners. yylineno
    is per-buffer in reentrant scanners. flex tries its best to output
    only the relevant portions of the skeleton when generating a scanner,
    thus avoiding as much conditional compilation as possible
  * non ansi mode was broken (this only shows up on machines where
    pointers and ints are not the same size).               closes: Bug#188813

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 13 Apr 2003 14:29:47 -0500

flex (2.5.31-1) unstable; urgency=low

  * New upstream release.

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  9 Apr 2003 14:12:18 -0500

flex (2.5.4a-33) unstable; urgency=low

  * Continuing the process of gcc 3.2.x compatribility.      closes: Bug#185714

 -- Manoj Srivastava <srivasta@acm.org>  Fri, 21 Mar 2003 13:00:19 -0600

flex (2.5.4a-32) unstable; urgency=low

  * There was a blank line in initscan.c that made it impossible to build
    on buildds.                                              closes: Bug#185772

 -- Manoj Srivastava <srivasta@acm.org>  Fri, 21 Mar 2003 12:34:13 -0600

flex (2.5.4a-31) unstable; urgency=low

  * Make flexlexer have the std:: prefix         closes: Bug#181670, Bug#180446
  * Fix flex.skl                                             closes: Bug#184393

 -- Manoj Srivastava <srivasta@acm.org>  Fri, 21 Mar 2003 00:57:21 -0600

flex (2.5.4a-30) unstable; urgency=low

  * FlexLexer.h now include iostream, not iostream.h.
                                                 closes: Bug#173943, Bug#180051
  * Fix broken printf format                                 closes: Bug#174350
  * The behaviour of flex was different based on what order options were
    specified: option nomain before option noyywrap caused one set of
    behaviours, reversing the order changes the behavious, since nomain
    seemed to reset noyywrap. This was fixed in scanl. and initscan.c.
                                                             closes: Bug#174259

 -- Manoj Srivastava <srivasta@acm.org>  Sun,  9 Feb 2003 13:38:32 -0600

flex (2.5.4a-29) unstable; urgency=low

  * No longer provide /usr/doc link. Upgrade to latest policy version.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 11 Nov 2002 23:17:14 -0600

flex (2.5.4a-28) unstable; urgency=low

  * Anotrher patch from Alexander Klauer, this one fixes a print format
    problem.                                                 closes: Bug#161101

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 29 Oct 2002 17:35:13 -0600

flex (2.5.4a-27) unstable; urgency=low

  * Fix a flex segfult on very long lines. Many thanks to  Alexander
    Klauer <Graf.Zahl@gmx.net> for detecting this bug and finding the
    fix.                                                     closes: Bug#158518
  * The package seems to build from sources on i386.         closes: Bug#159547

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  4 Sep 2002 19:24:56 -0500

flex (2.5.4a-26) unstable; urgency=low

  * use which instead of command -v
  * Fixed a problem with locales in flex. Many thanks to
    witchery@www.oz.or.kr and unichi Uekawa <dancer@netfort.gr.jp> for
    discovering the problem, and patiently leading me through to a point
    that I could actually reproduce the proble, and test the patch
    provided by witchery@www.oz.or.kr.                       closes: Bug#147627

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 27 May 2002 02:09:28 -0500

flex (2.5.4a-25) unstable; urgency=high

  * In this version of flex, the first YYPROTO usage appears before the
    definition of YYPROTO if _WIN32 is defined. Not so good. One should be
    able to generate portable lexers with flex.              closes: Bug#145237

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 30 Apr 2002 12:53:45 -0500

flex (2.5.4a-24) unstable; urgency=low

  * Well, the symbol is really _WIN32.
  * Added clarifications about %option stdin to the flex man page (some
    wording taken from CVS).

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 17 Mar 2002 10:32:13 -0600

flex (2.5.4a-23) unstable; urgency=low

  * Hmm. For non POSIX systems (well, where _Win32 is defined) where
    unistd.h is not available, use the old isatty prototype.

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  6 Feb 2002 16:33:39 -0600

flex (2.5.4a-22) unstable; urgency=low

  * Interactive lexers were broken by the fic to handle interrupted
    reads.                                                   closes: Bug#131242

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 28 Jan 2002 12:21:40 -0600

flex (2.5.4a-21) unstable; urgency=low

  * Hmm. Run aclocal on the acinclude file first.

 -- Manoj Srivastava <srivasta@debian.org>  Fri, 25 Jan 2002 16:52:23 -0600

flex (2.5.4a-20) unstable; urgency=low

  * Add a build depends for autotconf, needed now that we make changes to
    the script.                                              closes: Bug#130703

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 24 Jan 2002 16:32:25 -0600

flex (2.5.4a-19) unstable; urgency=low

  * For machines that do not use the GNU libc (and thus, does not have
    gettext as part of the libc), flex failed to compile. The grep package
    has a macro to handle exactly this situation, elegantly,  which is
    labelled as available for public use, in it's aclocal.m4 file. This
    version of flex uses that. Many thanks to Joel Baker
    <lucifer@lightbearer.com> for discovering and testing this fix.
                                                             closes: Bug#130220

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 24 Jan 2002 10:07:16 -0600

flex (2.5.4a-18) unstable; urgency=low

  * Make sure that unistd.h is actually included, since we no longer
    provide a prototype for isatty.                           closes: Bug#97131

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 13 Jan 2002 01:02:26 -0600

flex (2.5.4a-17) unstable; urgency=medium

  * AAArgggh. Fix a missing open brace in the generated YY_INPUT, Many
    thanks to Bruce Stephens for catching these quickly.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 10 Jan 2002 13:14:35 -0600

flex (2.5.4a-16) unstable; urgency=medium

  * Fix a missing \ in the generated YY_INPUT macro.         closes: Bug#128412
  * Fix buggy isatty prototype by not actually including a prototype (we
    include the relevant header file, after all.             closes: Bug#97131

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  9 Jan 2002 11:51:12 -0600

flex (2.5.4a-15) unstable; urgency=low

  * if a signal is delivered while the parser is in the read routine
    (coded by flex), the result is flex reports and YY_FATAL_ERROR causing
    plan to exit.  The race condition appears much more frequently than
    one might expect because plan spends a good deal of time in read
    routine while gcc is preparing the input. I cleaned up another problem
    case beyond what is given in the patch.                  closes: Bug#125611
  * flex -o "ddd" doesn't write to the file "ddd", instead it tries to
    write to the file "" (yes, blank) and read from "ddd". I changed the
    main.c to use the next arg as the output file name if the next arg
    does not start with a -.                                 closes: Bug#122581

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  6 Jan 2002 05:12:37 -0600

flex (2.5.4a-14) unstable; urgency=low

  * The flex-doc menu entry (/usr/lib/menu/flex-doc) contains some
    unquoted double quotes in its extended description, and these needed
    to be quoted so as not to confuse update menu. (why did it not
    generate an error?) closes: Bug#105272
  * The version 2.5.4a-12 was duplicated work with the previous maintainer
    (and I take the blame for the lack of communication). I have also
    managed to mosplace the changelog entry ;-(

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 17 Jul 2001 17:50:25 -0500

flex (2.5.4a-13) unstable; urgency=low

  * I took over flex, and have brought the rules and pre/post inst files
    into line with my conventions.
  * flex generates c++ that does not use istream and ostream from the
    "std" namespace, so compilation of generated code fails. closes: Bug#104067
    Please note that this duplicates and replaces the work done in 2.5.4a-12

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 12 Jul 2001 15:48:24 -0500

flex (2.5.4a-12) unstable; urgency=low

  * Generate c++ which uses istream and ostream from the "std" namespace
    for g++-3.0. Patch by Dale E. Martin (Closes: #104067).
  * Registered HTML docs using doc-base.

 -- Santiago Vila <sanvila@debian.org>  Thu, 12 Jul 2001 14:21:18 +0200

flex (2.5.4a-11) unstable; urgency=low

  * Added i18n support. Build-Depends: gettext. Closes: #46838.
    Thanks to Changwoo Ryu <cwryu@adam.kaist.ac.kr>.
  * Fixed formatting error in flex(1). Closes: #90284.
    Thanks to Colin Watson <cjw44@flatline.org.uk>.

 -- Santiago Vila <sanvila@debian.org>  Sun, 25 Mar 2001 14:07:51 +0200

flex (2.5.4a-10) unstable; urgency=low

  * Changed @section by @chapter to make texi2html happy.
    Patch by Gordon Sadler <gbsadler1@lcisp.com>. Closes: #84780.
  * Build-Depends-Indep: texi2html. Closes: #87689.
  * Build-Depends: texinfo, since .texi is now modified.

 -- Santiago Vila <sanvila@debian.org>  Mon, 26 Feb 2001 20:16:54 +0100

flex (2.5.4a-9) unstable; urgency=low

  * Fixed manpage again. Additional patch by the author.

 -- Santiago Vila <sanvila@debian.org>  Fri,  1 Dec 2000 19:58:41 +0100

flex (2.5.4a-8) unstable; urgency=low

  * Added missing bracket in flex manpage (Closes: Bug#68941).

 -- Santiago Vila <sanvila@debian.org>  Sat, 19 Aug 2000 16:56:22 +0200

flex (2.5.4a-7) unstable; urgency=low

  * Updated upstream source URL (Closes: Bug#67233).
  * Standards-Version: 3.1.1.
  * Build-Depends: bison.

 -- Santiago Vila <sanvila@debian.org>  Fri,  4 Aug 2000 13:04:28 +0200

flex (2.5.4a-6) unstable; urgency=low

  * Applied a patch by Kristoffer Rose for large flex tables.

 -- Santiago Vila <sanvila@ctv.es>  Tue,  7 Dec 1999 17:52:01 +0100

flex (2.5.4a-5) unstable; urgency=low

  * Fixed Bug #47860: flex segfaults. Patch by the author.

 -- Santiago Vila <sanvila@ctv.es>  Wed, 10 Nov 1999 11:44:06 +0100

flex (2.5.4a-4) unstable; urgency=low

  * Recommends: c-compiler, instead of gcc (Bug #33937).
  * Info unregistering done in prerm, not in postrm.

 -- Santiago Vila <sanvila@ctv.es>  Fri,  5 Mar 1999 17:20:30 +0100

flex (2.5.4a-3) unstable; urgency=low

  * Added HTML docs, in a separate package.

 -- Santiago Vila <sanvila@ctv.es>  Tue, 13 Oct 1998 21:14:28 +0200

flex (2.5.4a-2) unstable; urgency=low

  * Added a man page for flex++ (actually, a symlink to flex).
  * ftp.gnu.org is FSF's new FTP site name.
  * Compressed changelog.Debian.
  * Removed debstd dependency.

 -- Santiago Vila <sanvila@ctv.es>  Thu, 12 Mar 1998 20:25:09 +0100

flex (2.5.4a-1) unstable; urgency=low

  * New upstream release, using pristine untouched source.
  * Removed the modified debstd from the source package now that the
    standard one is fixed.
  * First libc6 release.

 -- Santiago Vila <sanvila@ctv.es>  Thu,  7 Aug 1997 19:15:34 +0200

flex (2.5.4-2) unstable; urgency=low

  * libfl.a stripped using strip -g, using a modified debstd which
    is included in the Debian source package.

 -- Santiago Vila <sanvila@ctv.es>  Thu, 13 Mar 1997 09:44:28 +0100

flex (2.5.4-1) unstable; urgency=low

  * Converted to Standards 2.1.2.2.
  * New upstream version.
  * Compiled with -D_REENTRANT.
  * Added MD5 sums.
  * New maintainer.

 -- Santiago Vila <sanvila@ctv.es>  Sat, 22 Feb 1997 18:00:09 +0100
